%global pypi_name ansible-compat
%global pkgname python-ansible-compat

Name:           %{pkgname}
Version:        4.1.10
Release:        %mkrel 2
Summary:        Ansible python helper functions
Group:          Development/Python

URL:            https://pypi.org/project/ansible-compat/
Source0:        %{pypi_source}
License:        MIT
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(subprocess-tee)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools) >= 61.0
BuildRequires:  python3dist(setuptools-scm[toml]) >= 7.0.0
BuildRequires:  python3dist(wheel)

# This patch skips the tests requiring a connection to
# ansible galaxy
Patch0: ansible-compat-2.2.7-skip_tests_requiring_network_connectivity.patch

Requires: python3dist(pyyaml)
Requires: python3dist(subprocess-tee)

%description
A python package containing functions that help interacting with
various versions of Ansible

%package -n python-%{pypi_name}-doc
Summary: %summary

%description -n python-%{pypi_name}-doc
Documentation for python-ansible-compat


%package -n python3-%{pypi_name}
Summary: %summary

%{?python_disable_dependency_generator}
%py_provides python3-%{pypi_name}

%description -n python3-%{pypi_name}
A python package containing functions that help interacting with
various versions of Ansible


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
# Disable tests as pip-tools, pytest-markdown 
# and pytest-plus not in Fedora yet
#PYTHONPATH=src %{python3} -m pytest -vv

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/ansible_compat-%{version}.dist-info/
%{python3_sitelib}/ansible_compat/

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif


%changelog
* Fri Jan 05 2024 bcornec <bcornec> 4.1.10-2.mga9
+ Revision: 2027784
- Remove useless subrel
- Update to 4.1.10 to fix ansible-lint install

* Sat Dec 17 2022 guillomovitch <guillomovitch> 2.2.7-1.mga9
+ Revision: 1924273
- new version 2.2.7

* Thu Dec 08 2022 guillomovitch <guillomovitch> 2.2.6-1.mga9
+ Revision: 1919496
- new version 2.2.6

* Tue Nov 15 2022 guillomovitch <guillomovitch> 2.2.4-1.mga9
+ Revision: 1907673
- new version 2.2.4

* Wed Sep 28 2022 neoclust <neoclust> 2.2.1-1.mga9
+ Revision: 1892917
- New version 2.2.1

* Tue Aug 09 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1876554
- new version 2.2.0

* Sun May 22 2022 guillomovitch <guillomovitch> 2.0.4-1.mga9
+ Revision: 1859779
- new version 2.0.4

* Tue Apr 12 2022 guillomovitch <guillomovitch> 2.0.2-1.mga9
+ Revision: 1849175
- imported package python-ansible-compat

